Name:		perl-Search-Elasticsearch
Version:	1.16
Release:	1%{?dist}
Summary:	Official client for Elasticsearch
License:	ASL 2.0
URL:		http://search.cpan.org/dist/Search-Elasticsearch/
Source0:	http://www.cpan.org/authors/id/D/DR/DRTECH/Search-Elasticsearch-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Simple) >= 3.28
# Module Runtime
BuildRequires:	perl(Any::URI::Escape)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Encode)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(HTTP::Headers)
BuildRequires:	perl(HTTP::Request)
BuildRequires:	perl(HTTP::Tiny) >= 0.043
BuildRequires:	perl(Hijk) >= 0.12
BuildRequires:	perl(IO::Select)
BuildRequires:	perl(IO::Socket)
BuildRequires:	perl(IO::Uncompress::Inflate)
BuildRequires:	perl(JSON::MaybeXS) >= 1.002002
BuildRequires:	perl(JSON::PP)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Log::Any) >= 0.15
BuildRequires:	perl(Log::Any::Adapter)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Moo) >= 1.003
BuildRequires:	perl(Moo::Role)
BuildRequires:	perl(namespace::clean)
BuildRequires:	perl(overload)
BuildRequires:	perl(Package::Stash) >= 0.34
BuildRequires:	perl(POSIX)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(Try::Tiny)
BuildRequires:	perl(URI)
BuildRequires:	perl(warnings)
# Optional Dependencies
BuildRequires:	perl(URI::Escape::XS)
# Test Suite
BuildRequires:	perl(Cpanel::JSON::XS)
BuildRequires:	perl(lib)
BuildRequires:	perl(JSON::XS)
BuildRequires:	perl(Log::Any::Adapter::Callback)
BuildRequires:	perl(Mojo::IOLoop)
BuildRequires:	perl(Mojo::UserAgent)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More) >= 0.98
# Release Tests
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IO::Uncompress::Inflate)
Requires:	perl(MIME::Base64)
Requires:	perl(URI::Escape::XS)

%description
Search::Elasticsearch is the official Perl client for Elasticsearch.
Elasticsearch itself is a flexible and powerful open source, distributed
real-time search and analytics engine for the cloud. You can read more about
it on http://elasticsearch.org/.

%prep
%setup -q -n Search-Elasticsearch-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name bench_cxn.pl -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
# Pod test fails in 1.10 .. 1.15, so don't run the release tests
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Search/
%{_mandir}/man3/Search::Elasticsearch.3*
%{_mandir}/man3/Search::Elasticsearch::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Client::0_90::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Client::0_90::Direct::Cluster.3*
%{_mandir}/man3/Search::Elasticsearch::Client::0_90::Direct::Indices.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct::Cat.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct::Cluster.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct::Indices.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct::Nodes.3*
%{_mandir}/man3/Search::Elasticsearch::Client::Direct::Snapshot.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::Factory.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::HTTPTiny.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::Hijk.3*
%{_mandir}/man3/Search::Elasticsearch::Cxn::LWP.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Sniff.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Static.3*
%{_mandir}/man3/Search::Elasticsearch::CxnPool::Static::NoPing.3*
%{_mandir}/man3/Search::Elasticsearch::Error.3*
%{_mandir}/man3/Search::Elasticsearch::Logger::LogAny.3*
%{_mandir}/man3/Search::Elasticsearch::Role::API.3*
%{_mandir}/man3/Search::Elasticsearch::Role::API::0_90.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Bulk.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Client.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Client::Direct.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Cxn.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Cxn::HTTP.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Sniff.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Static.3*
%{_mandir}/man3/Search::Elasticsearch::Role::CxnPool::Static::NoPing.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Is_Sync.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Logger.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Serializer.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Serializer::JSON.3*
%{_mandir}/man3/Search::Elasticsearch::Role::Transport.3*
%{_mandir}/man3/Search::Elasticsearch::Scroll.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::Cpanel.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::PP.3*
%{_mandir}/man3/Search::Elasticsearch::Serializer::JSON::XS.3*
%{_mandir}/man3/Search::Elasticsearch::TestServer.3*
%{_mandir}/man3/Search::Elasticsearch::Transport.3*
%{_mandir}/man3/Search::Elasticsearch::Util.3*
%{_mandir}/man3/Search::Elasticsearch::Util::API::Path.3*
%{_mandir}/man3/Search::Elasticsearch::Util::API::QS.3*

%changelog
* Sun Nov 16 2014 Paul Howarth <paul@city-fan.org> - 1.16-1
- Update to 1.16
  - Added dependency on Pod::Simple, which was causing installation on
    perl 5.8 to fail
  Added params:
  - percolate_preference and percolate_routing to percolate()
  Bug fix:
  - the index param is now required for indices.delete()

* Fri Nov  7 2014 Paul Howarth <paul@city-fan.org> - 1.15-1
- Update to 1.15
  Enhancements:
  - All backends (except Hijk) now default to not verifying SSL identities,
    but accept ssl_options to allow backend-specific configuration
  - Improved Mojo exceptions
  Bug fix:
  - is_https() didn't work
  Changed:
  - index param to put_alias() is now required
  Added methods:
  - index.get()
  - search_exists()
  - indices.upgrade()
  - indices.get_upgrade()
  - snapshot.verify_repository()
  Added parameters:
  - query_cache to search(), clear_cache(), stats()
  - wait_if_ongoing to flush()
  - script_id and scripted_upsert to update()
  - version and version_type to put_script(), get_script(), delete_script(),
    put_template(), get_template(), and delete_template()
  - op_type to put_script() and put_template()
  - metric to cluster_reroute()
  - realtime to termvector() and mtermvector()
  - dfs to termvector()
  Removed parameters:
  - filter_metadata from cluster_reroute()
  - search_query_hint from mlt()

* Wed Sep 17 2014 Paul Howarth <paul@city-fan.org> - 1.14-2
- Perl 5.20 rebuild

* Fri Jul 25 2014 Paul Howarth <paul@city-fan.org> - 1.14-1
- Update to 1.14
  - Added support for indexed scripts and indexed templates
- Use %%license

* Mon Jun 16 2014 Paul Howarth <paul@city-fan.org> - 1.13-1
- Update to 1.13
  - Breaking change: the Scroll helper used to pass the scroll ID to scroll()
    and clear_scroll() in the query string by default, with the scroll_in_body
    parameter to change the behaviour; this was causing frequent errors with
    long scroll IDs, so the new default behaviour is to pass the scroll ID in
    the body, with the scroll_in_qs parameter to change that behaviour
  - All Search::Elasticsearch HTTP backends are now fork-safe
  - Added track_scores param to search()
  - Added create param to indices.put_template()
  - Removed index_templates param from cluster.state()
  - Removed indices_boost param from search()
  - Added percolate_format param to percolate()
  - Added cat.fielddata()

* Fri May  9 2014 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Fixed bug when trying to reindex from a subref
  - Added search_shards()
  - Added char_filters to indices.analyze()
  - Removed index_templates from cluster.state()
  - Added conf to TestServer for passing arbitrary config

* Wed Apr 23 2014 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Switched default Serializer::JSON to use JSON::MaybeXS, and added
    Serializer backends for Cpanel::JSON::XS, JSON::XS and JSON::PP
  - Added scroll_in_body flag for Scroll helper
  - Added support for:
    - search_template()
    - snapshot->status()
    - indices->recovery()
    - benchmark()
    - list_benchmarks()
    - abort_benchmark()

* Wed Apr  2 2014 Paul Howarth <paul@city-fan.org> - 1.10-1
- Initial RPM version
